package tis4.auth.client;

public class XMLElement {
	private String name=null, value=null;
	private TagType type=null;
	public XMLElement(String name, TagType type){
		this(name);
		this.type = type;
	}
	public XMLElement(String name, String value){
		this(name);
		this.value = value;
	}
	public XMLElement(String name){
		this.name = name;
		this.value = null;
	}
	public String getName(){
		return name;
	}
	public String getValue(){
		return value;
	}
	public void setValue(String value){
		this.value = value;
	}
	public void setType(TagType type){
		this.type = type;
	}
	public TagType getType(){
		return type;
	}
	@Override
	public String toString(){
		return name+" "+value+" "+type;
	}
}
