package tis4.auth.client.gui;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JOptionPane;
import javax.swing.JPanel;

import tis4.auth.client.ClientMain;

public class MainScreen extends JFrame implements ActionListener{
	private static final long serialVersionUID = 1L;
	private ClientMain clientMain;
	public MainScreen(ClientMain clientMain){
		this.setTitle("Main Screen");
		this.clientMain = clientMain;
		this.setVisible(true);
		JPanel mainPanel = new JPanel();
		this.add(mainPanel,BorderLayout.CENTER);
		this.setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);
		this.addWindowListener(new java.awt.event.WindowAdapter() {
		    @Override
		    public void windowClosing(java.awt.event.WindowEvent windowEvent) {
		        exit();
		    }
		});
		JButton disconnect = new JButton("Disconnect");
		disconnect.addActionListener(this);
		mainPanel.add(disconnect);
		JButton ping = new JButton("Ping");
		ping.addActionListener(this);
		mainPanel.add(ping);
		
		this.pack();
		this.setVisible(true);
	}
	public void exit(){
		clientMain.exit();
	}
	@Override
	public void actionPerformed(ActionEvent arg0) {
		String aC = arg0.getActionCommand();
		if(aC.equals("Ping")){
			clientMain.getOutput().println("<admin><info>ping</info></admin>");
		}else if(aC.equals("Disconnect")){
			clientMain.exit();
		}
	}
	public void pong(){
		JOptionPane.showMessageDialog(this, "PONG");
	}
}
